# frozen_string_literal: true
module PhoneSites
  module GsmArena
    class ManufacturersListResponse < ::PhoneSites::BaseResponse
      def perform(url, method = 'get', options = {})
        response = super(url, method, options)
        Nokogiri::HTML(response.body).css('table a').map do |elem|
          Manufacturer.new(elem)
        end
      end
    end
  end
end
