# frozen_string_literal: true
module PhoneSites
  module GsmArena
    class ModelListResponse < ::PhoneSites::BaseResponse
      def perform(url, method = 'get', options = {})
        response = super(url, method, options)
        Nokogiri::HTML(response.body).css('.makers li a').map do |elem|
          PhoneSites::GsmArena::PhoneModel.new(elem)
        end
      end
    end
  end
end
