# frozen_string_literal: true
module PhoneSites
  module GsmArena
    class SearchResponse < ::PhoneSites::BaseResponse
      def perform(name, method = 'get', options = {})
        url = "http://www.gsmarena.com/results.php3?sQuickSearch=yes&sName=" + URI.encode(name)
        response = super(url, method, options)
        Nokogiri::HTML(response.body).css('.makers li a').map do |elem|
          PhoneSites::GsmArena::PhoneModel.new(elem)
        end
      end
    end
  end
end
