# frozen_string_literal: true
require 'faraday'
require 'nokogiri'
require 'phone_sites'
require_relative '../phone_sites/gsm_arena/manufacturers_list_response'
require_relative '../phone_sites/gsm_arena/connection'
require_relative '../phone_sites/gsm_arena/manufacturer'
require_relative '../phone_sites/gsm_arena/phone_model'
require_relative '../phone_sites/gsm_arena/model_list_response'
require_relative '../phone_sites/gsm_arena/model_info_response'
require_relative '../phone_sites/gsm_arena/search_response'

module PhoneSites
  module GsmArena
    BASE_URL = 'http://www.gsmarena.com/'
    MANUFACTURERS_URL = 'makers.php3'
  end
end
