# -*- encoding: utf-8 -*-
# stub: phone_sites 0.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "phone_sites".freeze
  s.version = "0.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Igor Pavlov".freeze]
  s.bindir = "exe".freeze
  s.date = "2016-09-05"
  s.description = "This gem is for scraping data and organize workflow without storing\n    something in databases. \r\nUsage: ```PhoneSites::GsmArena::Connection.get_manufacturers```\n    will return list of manufacturers. \r\nThen you can call ```manufacturer.models```\n    to get list of its models. Each model has method ```info``` that \r\n\n    takes model data from site with description".freeze
  s.email = ["gophan1992@gmail.com".freeze]
  s.homepage = "http://bitbucket.org/BEaStia/phone_sites/".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Gem for web-scraping data for phone sites".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.12"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.9.2"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.9.0", ">= 5.9.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.6.8", ">= 1.6.8"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0"])
    s.add_runtime_dependency(%q<memoist>.freeze, ["~> 0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.12"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<faraday>.freeze, ["~> 0.9.2"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.9.0", ">= 5.9.0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6.8", ">= 1.6.8"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0"])
    s.add_dependency(%q<memoist>.freeze, ["~> 0"])
  end
end
